aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ncmpcpp
diff options
context:
space:
mode:
authorAndrew Manison <amanison@anselsystems.com>2011-02-16 19:14:26 +0000
committerAndrew Manison <amanison@anselsystems.com>2011-02-16 19:14:26 +0000
commit71e39ce025e46b17e9634cb8fdeec7af04f2f0fa (patch)
treeab6569d59ab7f79ae8cb7c677658f9ba12854069 /testing/ncmpcpp
parent01fd4f6611dd2b61cd8ceee01b4a454d74bbbc51 (diff)
parent692f71db5a7621fe29b255de3ef9ae973b74eacb (diff)
downloadaports-71e39ce025e46b17e9634cb8fdeec7af04f2f0fa.tar.bz2
aports-71e39ce025e46b17e9634cb8fdeec7af04f2f0fa.tar.xz
Merge branch 'master' of ssh://git.alpinelinux.org/gitroot/aports-amanison
Conflicts: main/iaxmodem/APKBUILD
Diffstat (limited to 'testing/ncmpcpp')
-rw-r--r--testing/ncmpcpp/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/ncmpcpp/APKBUILD b/testing/ncmpcpp/APKBUILD
new file mode 100644
index 0000000000..33a8b4454c
--- /dev/null
+++ b/testing/ncmpcpp/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ncmpcpp
+pkgver=0.5.5
+pkgrel=0
+pkgdesc="An almost exact clone of ncmpc with some new features."
+url="http://unkart.ovh.org/ncmpcpp/"
+arch="x86 x86_64"
+license="GPL"
+depends=""
+makedepends="curl-dev libmpdclient-dev taglib-dev ncurses-dev openssl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://unkart.ovh.org/ncmpcpp/ncmpcpp-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build ()
+{
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --enable-unicode \
+ --enable-clock \
+ --with-taglib --with-curl
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="30cded976c81bba4c8a2daf2215fe41d ncmpcpp-0.5.5.tar.bz2"